Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modhelxs.mocs.de
Class DEMoC.DEEvent

    java.lang.Object
      modhelxs.util.UpdateTrigger
          modhelxs.mocs.de.DEMoC.DEEvent

Enclosing class:
  DEMoC

    protected class DEMoC.DEEvent

extends UpdateTrigger

An event in DE.

Field Summary
`private Pin` | `pin_` The destination pin of this event.
`private Token` | `token_` The token for the value of this event.

Constructor Summary
`DEMoC.DEEvent(Block e, Token t, Pin p)` Build a new DE event.

Method Summary
`void` | `prepareUpdate()` Prepare the update of the entity (MoC dependent).
`java.lang.String` | `toString()`
`void` | `update()` Update the entity.

Methods inherited from class modhelxs.util.UpdateTrigger
`getEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### token_

    private Token token_

  The token for the value of this event.

### pin_

    private Pin pin_

  The destination pin of this event.

Constructor Detail

### DEMoC.DEEvent

    public DEMoC.DEEvent(Block e,
                         Token t,
                         Pin p)

  Build a new DE event.

  Parameters:
    `e` - the block which is to receive the event
    `t` - the token holding the value of the event
    `p` - the pin onto which the event should be delivered

Method Detail

### prepareUpdate

    public void prepareUpdate()

  Description copied from class: `UpdateTrigger`
  Prepare the update of the entity (MoC dependent).

  Overrides:
    `prepareUpdate` in class `UpdateTrigger`

### update

    public void update()

  Description copied from class: `UpdateTrigger`
  Update the entity.

  Overrides:
    `update` in class `UpdateTrigger`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `UpdateTrigger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD